<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: 1.2
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 后台系统-系统管理员处理程式
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 技术论坛: http://ctb.11cn.org
\* 创建日期: 2002/7/10
\* 修改日期: ------
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================
class Module extends CommonClass
//系统管理模块子类
{
    function execute() {
        switch($this->input['action']) {
			//
            case 'showSystemUser':
				if($this->sess[sess_adminmode]=="0" or !$this->sess[sess_adminmode]){
	               $this->adminShowWrong("main.php?mod=systemuser&action=showSystemUser","您没有此权限.");
				}
                $this->showSystemUser();
                break;
            case 'addSystemUser':
                $this->addSystemUser();
                break;
            case 'delSystemUser':
                $this->delSystemUser();
                break;
            case 'modifyPassWord':
                $this->modifyPassWord();
                break;
			//
        }	
    } // end func

//=============================================================================
//---1、显示所有管理员页面:showSystemUser()    ------作者:险情 日期:2002/9/
//---1、添加新的管理员:addSystemUser()         ------作者:险情 日期:2002/9/
//---3、删除一个管理员:delSystemUser()         ------作者:险情 日期:2002/9/
//---3、修改超管密码:modifyPassWord()          ------作者:险情 日期:2002/9/
//---
//---
//=============================================================================

//1================显示所有管理员界面==========================================
function showSystemUser()
{

		//显示所有管理员界面
		$this->file = "../".$this->set[dataPath]."/adminuser.php";
        $systemUser = $this->openfile();
		$num=0;
		for($i=0;$i<count($systemUser);$i++){
			$num++;
		    if ($systemUser[$i][5]==1) {
				$systemUserMode="<font color=red>super</font>";
			}else{ 
				$systemUserMode="<font color=green>super</font>";
			}
			$systemUserHtm.="<tr> 
            <td bgcolor=\"white\" width=\"8%\" align=\"center\">
			  $num
		    </td>
            <td bgcolor=\"f5f5f5\" width=\"23%\" align=\"center\">".
			  $systemUser[$i][2]
			."</td>
			<td bgcolor=\"white\" align=\"center\">".
			  $systemUser[$i][3]
			."</td>
			  <form name=\"new_pass\" method=\"post\" action=\"./main.php?mod=systemuser\">
            <td bgcolor=\"f5f5f5\">&nbsp;<INPUT TYPE=\"text\" NAME=\"newPassWord\" size=\"12\" value=\"\"><input type=\"hidden\" name=\"action\" value=\"modifyPassWord\"><input type=\"hidden\" name=\"id\" value=\"".$systemUser[$i][1]."\">&nbsp;<input type=\"submit\" name=\"Submit\" value=\"确定\"></td>
			  </form>
			<td bgcolor=\"white\" width=\"10%\" align=\"center\">".
			  $systemUserMode
			."</td>
			<td bgcolor=\"f5f5f5\" width=\"13%\" align=\"center\">
			  <a href=\"./main.php?mod=systemuser&action=delSystemUser&id=".$systemUser[$i][1]."\">删除</a>
			</td>
         </tr>";
		 }    
		eval("\$this->outPut(\"".$this->getTemplate("systemUser")."\");");
} // end func

//2================添加新的超级管理员==========================================
function addSystemUser()
{
    //输入数据简单格式化
    $this->inputCheck("main.php?mod=systemuser&action=showSystemUser");
    //执行添加操作
	$this->file = "../".$this->set[dataPath]."/users/list.php";
    $systemLine = $this->select(4, $this->input['systemUserName']);
	if (count($systemLine)<1 or !$this->input['systemUserName'])
	   $this->adminShowWrong("main.php?mod=systemuser&action=showSystemUser","您添加的不是注册用户.");
	else{
        $line = array($this->code,$systemLine[0][1],$systemLine[0][2],$systemLine[0][4],$systemLine[0][3],$this->input['systemUserMode'],"","");//
	    $this->file = "../".$this->set[dataPath]."/adminuser.php";
		$systemCheck= $this->select(3, $this->input['systemUserName']);
	    if (count($systemCheck)>=1){
	        $this->admin_showwrong("main.php?mod=systemuser&action=show_systemuser","$system_new 已经存在，请不要重复添加.");
		}
		else{
	        $this->add_line($line);
		}
     //改变管理员存储文件登记
	$this->file = "../".$this->set[dataPath]."/users/".$systemLine[0][1].".php";
	$userLine = $this->get();
		$userLine[4]="1";
		$this->update("1",$systemLine[0][1],$userLine);          

	 //
	}
$this->adminShowMsg("main.php?mod=systemuser&action=showSystemUser","您已经成功添加了新的超级管理员.");

} // end func

//3================删除一个超级管理员==========================================
//删除一个超级管理员
function delSystemUser()
{
	$this->file = "../".$this->set[dataPath]."/adminuser.php";
	$this->delete2(1,$this->input['id']);	

	$this->file = "../".$this->set[dataPath]."/users/".$systemLine[0][1].".php";
	$userLine = $this->get();
		$userLine[4]="2";
		$this->update("1",$systemLine[0][1],$userLine); 

$this->adminShowMsg("main.php?mod=systemuser&action=showSystemUser","您已经成功删除了一个超级管理员.");
} // end func


//4================修改超管密码================================================
//修改超管密码
function modifyPassWord()
{
    //输入数据简单格式化
    $this->inputCheck("main.php?mod=systemuser&action=showSystemUser");
	//
	if (!$this->input['newPassWord'] or (strlen($this->input['newPassWord'])) < 6)
	    $this->adminShowWrong("main.php?mod=systemuser&action=showSystemUser","为了安全，密码请大于5位.");
	$newPass=md5($this->input['newPassWord']);
	$this->file = "../".$this->set[dataPath]."/adminuser.php";
    $line = $this->select(1,$this->input['id']);
    $line[0][4] = $newPass;
	$this->update2("1",$this->input['id'],$line[0]);
$this->adminShowMsg("main.php?mod=systemuser&action=showSystemUser","您已经成功修改了密码.");




//<<
//=============================================================================
} // end func













//end==========================================================================
} //end class
